#include "globalsettings.h"

GlobalSettings::GlobalSettings(QObject *parent) : QObject(parent)
{
    m_ic = 0;
}

QString GlobalSettings::firmName() const
{
    return m_firmName;
}

void GlobalSettings::setFirmName(const QString &firmName)
{
    m_firmName = firmName;
}

QString GlobalSettings::street() const
{
    return m_street;
}

void GlobalSettings::setStreet(const QString &street)
{
    m_street = street;
}

QString GlobalSettings::houseNumber() const
{
    return m_houseNumber;
}

void GlobalSettings::setHouseNumber(const QString &houseNumber)
{
    m_houseNumber = houseNumber;
}

QString GlobalSettings::zipCode() const
{
    return m_zipCode;
}

void GlobalSettings::setZipCode(const QString &zipCode)
{
    m_zipCode = zipCode;
}

QString GlobalSettings::city() const
{
    return m_city;
}

void GlobalSettings::setCity(const QString &city)
{
    m_city = city;
}

int GlobalSettings::ic() const
{
    return m_ic;
}

void GlobalSettings::setIc(int IC)
{
    m_ic = IC;
}

QString GlobalSettings::dic() const
{
    return m_dic;
}

void GlobalSettings::setDic(const QString &dic)
{
    m_dic = dic;
}

bool GlobalSettings::vatPayer() const
{
    return m_vatPayer;
}

void GlobalSettings::setVatPayer(bool vatPayer)
{
    m_vatPayer = vatPayer;
}

QString GlobalSettings::logoPath() const
{
    return m_logoPath;
}

void GlobalSettings::setLogoPath(const QString &logoPath)
{
    m_logoPath = logoPath;
}
